description = "" 
output_type = "audio"
speaker = ""
gender = "m"
travel_mode = "1"
language = "Surfer Dude"
marc_code = "eng"
language_id = "10"
id = "1103"
config_file = "dude_m/config.lua"
audio_files_path = "dude_m/dude_m"
audio_files_version = "0.2.0.2011082301"
client_range = "[client >= 1.3.15.0 ; client < 1.4.6.0 ]"

down = 1
up = 2

maneuver_turns = {
    ["NO_TURN"] = {"g5man_001e", "g5man_001"},                                      -- go straigh ahead
    ["KEEP_MIDDLE"] = {"g5man_012e", "g5man_012"},                              -- take the middle lane  
    ["KEEP_RIGHT"] = {"g5turns_right_002e", "g5turns_right_002"},               -- Keep it right, that's right. / Keep right
    ["LIGHT_RIGHT"] = {"g5turns_right_003e", "g5turns_right_003"},               -- turn slightly right
    ["QUITE_RIGHT"] = {"g5turns_right_001e", "g5turns_right_001"},               -- Turn right.That would be your right, not my right, dude. / Turn right
    ["HEAVY_RIGHT"] = {"g5turns_right_004e", "g5turns_right_004"},             -- turn sharply right
    ["RETURN"] = {"g5man_005e", "g5man_005"},                                        -- Make a u-turn but not with the hand brake, bro! / Make a u-turn
    ["HEAVY_LEFT"] = {"g5turns_left_004e", "g5turns_left_004"},                 -- turn sharply left
    ["QUITE_LEFT"] = {"g5turns_left_001e", "g5turns_left_001"},                   -- Turn left. That would be your left, not my left, dude. / Turn left
    ["LIGHT_LEFT"] = {"g5turns_left_003e", "g5turns_left_003"},                   -- turn slightly left
    ["KEEP_LEFT"] = {"g5turns_left_002e", "g5turns_left_002"},                   -- Keep left, and it's all good. / Keep left
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

maneuver_turns_non_fun = {
    ["NO_TURN"] = {"g5man_001e", "g5man_001"},                                      -- go straigh ahead
    ["KEEP_MIDDLE"] = {"g5man_012e", "g5man_012"},                              -- take the middle lane  
    ["KEEP_RIGHT"] = {"g5turns_right_002ee", "g5turns_right_002"},               -- Keep it right. / Keep right
    ["LIGHT_RIGHT"] = {"g5turns_right_003e", "g5turns_right_003"},               -- turn slightly right
    ["QUITE_RIGHT"] = {"g5turns_right_001ee", "g5turns_right_001"},               -- Turn right. / Turn right
    ["HEAVY_RIGHT"] = {"g5turns_right_004e", "g5turns_right_004"},             -- turn sharply right
    ["RETURN"] = {"g5man_005ee", "g5man_005"},                                        -- Make a u-turn / Make a u-turn
    ["HEAVY_LEFT"] = {"g5turns_left_004e", "g5turns_left_004"},                 -- turn sharply left
    ["QUITE_LEFT"] = {"g5turns_left_001ee", "g5turns_left_001"},                   -- Turn left.. / Turn left
    ["LIGHT_LEFT"] = {"g5turns_left_003e", "g5turns_left_003"},                   -- turn slightly left
    ["KEEP_LEFT"] = {"g5turns_left_002", "g5turns_left_002"},                   -- Keep left / Keep left
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

maneuver_check = {
    ["END"] = {"g5ann_001e_alt2", "g5ann_001e_alt2"},                                                       -- you will reach your destination.  No need to thank me, Dude; it's who I am, it's what I do.
    ["STOPOVER"] = {"g5ann_002e_alt2", "g5ann_002e_alt2"},                                            -- you will reach a stopover.
    ["JUNCTION"] = {nil, nil},                                                                                              -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = {nil, nil},                                                                                   -- the junction
    ["ROUNDABOUT"] = {"g5mod_005", "g5mod_005"},                                                       -- At the roundabout
    ["EXIT_ROUNDABOUT"] = {"g5ext_000e", "g5ext_000"},                                                 -- take the exit
    ["UTURN"] = {"g5man_005e", "g5man_005"},                                                                 -- Make a u-turn but not with the hand brake, bro! / Make a u-turn
    ["ENTER_HIGHWAY"] = {"g5man_008e_alt1", "g5man_008_alt1"},                                  -- Enter the motorway, and see what's you got under the hood, dude. Yeah! / Enter the motorway
    ["LEAVE_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},                                                    -- take the exit
    ["CHANGE_HIGHWAY"] = {"g5continue_on_mwy_e", "g5continue_on_mwy"},                  -- Continue on the motorway
    ["CONTINUE_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},                                             -- take the exit
    ["ENTER_URBAN_HIGHWAY"] = {"g5man_008e_alt1", "g5man_008_alt1"},                    -- Enter the motorway, and see what's you got under the hood, dude. Yeah! / Enter the motorway
    ["LEAVE_URBAN_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},                                     -- take the exit
    ["CHANGE_URBAN_HIGHWAY"] = {"g5continue_on_mwy_e", "g5continue_on_mwy"},   -- Continue on the motorway
    ["CONTINUE_URBAN_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},                               -- take the exit
    ["DRIVE_TO_NEAREST_ROAD"] = {"g5serv_001", "g5serv_001"},                                 -- Drive to nearest road. No need to panic, dude! 
    ["FERRY"] = {"g5man_016e", "g5man_016"}
}

maneuver_check_non_fun = {
    ["END"] = {"g5ann_001e_alt2_e", "g5ann_001e_alt2_e"},                                                 -- you will reach your destination.  
    ["STOPOVER"] = {"g5ann_002e_alt2", "g5ann_002e_alt2"},                                            -- you will reach a stopover.
    ["JUNCTION"] = {nil, nil},                                                                                              -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = {nil, nil},                                                                                   -- the junction
    ["ROUNDABOUT"] = {"g5mod_005", "g5mod_005"},                                                       -- At the roundabout
    ["EXIT_ROUNDABOUT"] = {"g5ext_000e", "g5ext_000"},                                                 -- take the exit
    ["UTURN"] = {"g5man_005ee", "g5man_005"},                                                                 -- Make a u-turn  / Make a u-turn
    ["ENTER_HIGHWAY"] = {"g5man_008e_alt1_e", "g5man_008_alt1"},                               -- Enter the motorway / Enter the motorway
    ["LEAVE_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},                                                    -- take the exit
    ["CHANGE_HIGHWAY"] = {"g5continue_on_mwy_e", "g5continue_on_mwy"},                  -- Continue on the motorway
    ["CONTINUE_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},                                             -- take the exit
    ["ENTER_URBAN_HIGHWAY"] = {"g5man_008e_alt1_e", "g5man_008_alt1"},                 -- Enter the motorway / Enter the motorway
    ["LEAVE_URBAN_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},                                     -- take the exit
    ["CHANGE_URBAN_HIGHWAY"] = {"g5continue_on_mwy_e", "g5continue_on_mwy"},   -- Continue on the motorway
    ["CONTINUE_URBAN_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},                               -- take the exit
    ["DRIVE_TO_NEAREST_ROAD"] = {"g5serv_001", "g5serv_001"},                                 -- Drive to nearest road. No need to panic, dude! 
    ["FERRY"] = {"g5man_016e", "g5man_016"}
}

exit_number_check = {
    [1] = {"g5ext_001e","g5ext_001"},                   -- take the first exit
    [2] = {"g5ext_002e","g5ext_002"},                   -- take the second exit
    [3] = {"g5ext_003e","g5ext_003"},                   -- take the third exit
    [4] = {"g5ext_004e","g5ext_004"},                   -- take the fourth exit
    [5] = {"g5ext_005e","g5ext_005"},                   -- take the fifth exit
    [6] = {"g5ext_006e","g5ext_006"},                   -- take the sixth exit
    [7] = {"g5ext_007e","g5ext_007"},                   -- take the seventh exit
    [8] = {"g5ext_008e","g5ext_008"},                   -- take the eighth exit
    [9] = {"g5ext_009e","g5ext_009"},                   -- take the ninth exit
    [10] = {"g5ext_010e","g5ext_010"},                  -- take the tenth exit
    [11] = {"g5ext_011e","g5ext_011"},                  -- take the eleventh exit
    [12] = {"g5ext_012e","g5ext_012"}                   -- take the twelfth exit
}

distances = {
    [50] = "g5num_050_after_f",
    [100] = "g5num_100_after_f",
    [150] = "g5num_150_after_f",
    [200] = "g5num_200_after_f",
    [250] = "g5num_250_after_f",
    [300] = "g5num_300_after_f",
    [400] = "g5num_400_after_f",
    [500] = "g5num_500_after_f",
    [600] = "g5num_600_after_f",
    [700] = "g5num_700_after_f",
    [800] = "g5num_800_after_f",
    [900] = "g5num_900_after_f",
    [1] = "g5num_001_after_f",
    [2] = "g5num_002_after_f",
    [3] = "g5num_003_after_f",
    [4] = "g5num_004_after_f",
    [5] = "g5num_005_after_f",
    [6] = "g5num_006_after_f",
    [7] = "g5num_007_after_f",
    [8] = "g5num_008_after_f",
    [9] = "g5num_009_after_f",
    [10] = "g5num_010_after_f"
}

unit = {                                    -- Intonation down, intonation up
    ["MILE"] = {"g5unt_mil_follow_1e","g5unt_mil_after_1"},
    ["YARDS"] = {"g5unt_yd_after_2","g5unt_yd_after_2"},
    ["KILOMETER"] = {"g5unt_km_after_1","g5unt_km_after_1"},
    ["METERS"] = {"g5unt_m_after_2","g5unt_m_after_2"},
    ["METER"] = {nil, nil},
    ["KILOMETERS"] = {"g5unt_km_follow_2e","g5unt_km_after_2"},
    ["MILES"] = {"g5unt_mil_follow_2e","g5unt_mil_after_2"},
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

misc = { 
    ["beep_sound"] = "beep",
    ["gps_signal_lost_wav"] = "g5war_027e",                              -- GPS signal whacked. Just chill and it will catch up soon.
    ["gps_signal_restored_wav"] = "g5war_010e",                       -- GPS connection has been restored. Excellent!
    ["no_gps_signal_wav"] = "g5war_028e",                               -- No GPS signal. Dude, it's totally beyond my control!
    ["route_recalculation_wav"] = "g5war_012e",                         -- New route is being calculated. So don't hassle me, Dude!
    ["now_wav"] = "g5mod_007",                                               -- now
    ["destination_wav"] = "g5ann_001e",                                    -- You've reached your destination.  Looks like my work here is done, Dude.
    ["stopover_wav"] = "g5ann_002e",                                        -- You've reached a stopover.  How about hitting the power switch and letting me chill for a while.
    ["end_of_street_wav"] = "g5mod_004",                                 -- At the end of the road
    ["follow_hwy_wav"] = "g5man_003e_alt1",                            -- Follow the motorway.  Like, if it turns, try to turn with it.
    ["follow_road_e_wav"] = "g5man_002e",                               -- Follow the course of the road and chill.
    ["follow_road_wav"] = "g5man_002",                                    -- Follow the course of the road.
    ["the_junction_wav"] = "g5mod_016",                                  -- the junction
    ["for_wav"] = "g5pre_002_road_km",                                    -- for 
    ["roundabout_wav"] = "g5mod_005",                                    -- At the roundabout
    ["after_wav"] = "g5pre_003",                                               -- After
    ["half_a_mile_wav"] = "g5num_050_mi",                              -- half a mile
    ["quarter_a_mile_wav"] = "g5num_025_mi_alt",                    -- a quarter of a mile
    ["and_wav"] = "g5con_002",                                               -- and
    ["second_right_wav"] = "g5turns_right_006e",                      -- Take the second right.
    ["second_left_wav"] = "g5turns_left_006e",                          -- Take the second left.
    ["immediately_wav"] = "g5immediately",                              -- immediately
    ["safety_camara_ahead_wav"] = "g5war_004e",            -- Speed camera ahead, Dude.  Either slow down or say cheese.
    ["over_speed_limit_wav"] = "g5war_005e",                           -- You exceed the maximum speed limit.  What's the hurry, Dude?
    ["traffic_automatic_detour_wav"] = "g5war_018e",                -- Traffic on route, detouring. Let's take a chance, bro!
    ["traffic_manual_detour_wav"] = "g5war_017e",                   -- looks like there's some butt-ugly traffic on route, Dude.  Do you want to detour?
    ["no_detour_possible"] = "g5war_022e",                             -- No detour around Traffic possible. What a bummer!
    ["and_then_wav"] = "g5con_001"                                       -- and then
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }

check_files = { maneuver_turns, maneuver_turns_non_fun, maneuver_check, maneuver_check_non_fun, exit_number_check, distances, unit, misc }